﻿using FluentMigrator;

namespace Coscine.Database.Tests.Migrations
{
    [Migration(333301010000)]
    public class Migration333301010000_SampleMigrationUsers : Migration
    {
        public override void Up()
        {
            Create.Table("TestUsers")
                .WithColumn("UserId").AsInt32().NotNullable().PrimaryKey().Identity()
                .WithColumn("UserName").AsString(255).NotNullable().WithDefaultValue("Anonymous");

            Insert.IntoTable("TestUsers").Row(new { UserName = "user1" });
            Insert.IntoTable("TestUsers").Row(new { UserName = "user2" });
            Insert.IntoTable("TestUsers").Row(new { UserName = "user3" });
        }

        public override void Down()
        {
            Delete.Table("TestUsers");
        }
    }
}